MediaWiki:Vector.css: Difference between revisions

No edit summary
tweek text cursor
 
(23 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* CSS placed here will affect users of the Vector skin */
/* CSS placed here will affect users of the Vector skin */
#pt-userpage, #pt-anonuserpage, #pt-login {
#pt-userpage, #pt-anonuserpage, #pt-login {
   background: url(http://wiki-devel.sugarlabs.org/images/3/33/I_user_a.gif) left top no-repeat;
   background: url(/images/3/33/I_user_a.gif) left top no-repeat;
   padding-left: 20px !important;
   padding-left: 20px !important;
}
}
Line 8: Line 8:
   padding-bottom:7px;
   padding-bottom:7px;
}
}
html, select, option, input[type="submit"], input[type="radio"], input[type="checkbox"] {
html, option, select {
   cursor: url(http://wiki-devel.sugarlabs.org/images/e/e2/Arrow.cur), default;       
   cursor: url(/images/0/08/ArrowSmall.cur), default;       
}
}
/* Chrome Windows fails to read this cursor's hotspot
#firstHeading, span.mw-headline, p, dl, ul, ol, td, pre, textarea, input[type="password"], input[type="search"],
p, #content li, pre, textarea, input[type="password"], input[type="search"] {
.loginText, #searchInput, input#wpSummary, label, input {
   cursor: url(http://wiki-devel.sugarlabs.org/images/b/b1/Text.cur), text;
   cursor: url(/images/1/10/TextSmall.cur), text;
*/
}
}
abbr, acronym, .explain {
a:hover, input[type="checkbox"], input[type="submit"], input[type="radio"],
   border-bottom: 1px dashed Grey;    
.mw-ui-checkbox-label > input[type="checkbox"], .mw-ui-checkbox-label > input[type="radio"],
   cursor: url(http://wiki-devel.sugarlabs.org/images/4/48/Help.cur), help;    
.mw-ui-radio-label > input[type="checkbox"], .mw-ui-radio-label > input[type="radio"],
#mw-panel.collapsible-nav .portal h3:hover,
#mw-panel.collapsible-nav .portal.collapsed h3:hover,
#preftoc a:hover, .mw-editfooter-toggler {
   text-decoration: initial;
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;  
}
}
a:hover,
#mw-panel.collapsible-nav div.portal div.body ul li {
#panel.collapsible-nav div.collapsed h5:hover,
#preftoc a:hover {
  text-decoration: none;     
}
#panel.collapsible-nav div.portal div.body ul li {
   padding-bottom: 4px;       
   padding-bottom: 4px;       
}
}
Line 35: Line 34:
#p-personal a:hover,
#p-personal a:hover,
#toc a:hover, .toc a:hover,
#toc a:hover, .toc a:hover,
#panel a:hover,
#mw-panel a:hover,
div.linkgroup a:hover,
div.linkgroup a:hover,
.catlinks a:hover,
.catlinks a:hover,
Line 41: Line 40:
.editsection a:hover,
.editsection a:hover,
#contentSub a:hover, #contentSub2 a:hover {
#contentSub a:hover, #contentSub2 a:hover {
  text-decoration: inherit;
   border-bottom: 3px solid #333333;
   border-bottom: 3px solid #333333;
   cursor: url(http://wiki-devel.sugarlabs.org/images/c/cd/Pointer.cur), pointer;  
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;  
}
}
#p-personal a,
#p-personal a,
Line 48: Line 48:
#preftoc a,
#preftoc a,
#preftoc a:hover,
#preftoc a:hover,
#panel a,
#mw-panel a,
.catlinks a,
.catlinks a,
#footer a,
#footer a,
.editsection a,
.editsection a,
div.linkgroup a,
div.linkgroup a,
span.linkgroup a,
span.linkgroup a:hover,
div.vectorTabs a,
div.vectorTabs a,
div.vectorMenu h3 a,
div.vectorMenu h5 a,
div.vectorMenu h5 a,
div.vectorMenu li a,
div.vectorMenu li a,
Line 67: Line 70:
   border-bottom: none;
   border-bottom: none;
}
}
div#simpleSearch button#searchButton,
div.vectorTabs li a,
div.vectorTabs li a,
div.vectorTabs li a span,
div.vectorTabs li a span,
Line 72: Line 76:
.wikiEditor-ui-toolbar .group,
.wikiEditor-ui-toolbar .group,
.wikiEditor-ui-toolbar .group img.tool {
.wikiEditor-ui-toolbar .group img.tool {
   cursor: url(http://wiki-devel.sugarlabs.org/images/c/cd/Pointer.cur), pointer;
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;
}
}
div.vectorMenu li a:hover,
div.vectorMenu li a:hover,
Line 85: Line 89:
h5 .editsection,
h5 .editsection,
h6 .editsection,
h6 .editsection,
#panel.collapsible-nav div h5:hover,
#mw-panel.collapsible-nav .portal h5:hover,
.wikiEditor-ui-tabs div a:hover,
.wikiEditor-ui-tabs div a:hover,
.wikiEditor-ui-toolbar .tabs span.tab a:hover,
.wikiEditor-ui-toolbar .tabs span.tab a:hover,
Line 93: Line 97:
   color: Grey;
   color: Grey;
   outline: none;       
   outline: none;       
   cursor: url(http://wiki-devel.sugarlabs.org/images/c/cd/Pointer.cur), pointer;         
   cursor: url(/images/f/fc/PointerSmall.cur), pointer;         
}
}
#preftoc li.selected a,
#preftoc li.selected a,
Line 103: Line 107:
.wikiEditor-ui-tabs div.current a:hover {
.wikiEditor-ui-tabs div.current a:hover {
   color: #333333;       
   color: #333333;       
   cursor: url(http://wiki-devel.sugarlabs.org/images/e/e2/Arrow.cur), default;       
   cursor: url(/images/0/08/ArrowSmall.cur), default;       
}
}
.wikieditor-toolbar-table-preview-content *,
.wikieditor-toolbar-table-preview-content *,
#panel div.portal h5 {
#mw-panel div.portal h5 {
   cursor: url(http://wiki-devel.sugarlabs.org/images/e/e2/Arrow.cur), default;     
   cursor: url(/images/0/08/ArrowSmall.cur), default;       
}
#footer a.external:hover,
#footer-icons li a:hover,
#content a.external:hover,
#content a.extiw:hover {
  cursor: url(http://wiki-devel.sugarlabs.org/images/8/85/Web.cur), pointer;
}
#content a[href ^="http://en.flossmanuals.net"] {
  background: url(http://en.flossmanuals.net/floss/pub/TWiki/FlossSkin2/fl2.ico) center right no-repeat;     
  padding: 2px 18px 0 0;       
}
}